Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452078 - Review Request: node - Simple node front end, modelled after the node shells of TheNet and G8BPQ nodes
Summary: Review Request: node - Simple node front end, modelled after the node shells ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 07:49 UTC by Lucian Langa
Modified: 2008-09-11 17:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-10 07:47:24 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lucian Langa 2008-06-19 07:49:52 UTC
Spec URL: http://lucilanga.fedorapeople.org/node.spec
SRPM URL: http://lucilanga.fedorapeople.org/node-0.3.2-2.fc9.src.rpm
Description: This is a simple node frontend for Linux kernel AX.25, NETROM,
ROSE and TCP. It's based on pms.c by Alan Cox (GW4PTS) but has been
heavily modified since. It's probably not very well tested, not
pretty, not very flexible and it is certainly not ready! However
I think it's already somewhat usable

Few notes:
This package is not under active development.
We need to provide this package because all AX25-HOWTO refers it, and I think it would help users.
rpmlint is silent with a few exceptions:

E: zero-length /var/ax25/node/loggedin
this is an empty file node cannot create on it's own

W: non-standard-dir-in-var ax25
/var/ax25 this is the standard location directory for ax25 applications. I think we should get an exception for that in rpmlint.

Package does not have a standard configure script, here configure is just a bash script.
so "sh configure" was put to inhibit rpmlint warning of not using %configure macro.

Comment 1 Jason Tibbitts 2008-06-22 23:06:57 UTC
I have essentially no idea what this package does, but I went ahead and built it
out of curiosity.  I must say that given the description above, especially the
"certainly not ready" part, I'd be uncomfortable about installing this even if a
FAQ told me to.  Could that bit perhaps be removed?  Maybe take the "I think
it's already somewhat usable" bit out as well, since "yum info" probably doesn't
think anything about the packages usability.

I don't see anything else in the distro that uses /var/ax25.  Where is this
standard for ax25 applications?  Does this standard somehow trump the FHS? 
Seems to me that /var/lib/ax25 is more appropriate.

I wouldn't worry about working around obviously bogus rpmlint complaints. 
rpmlint isn't necessarily the authority which must be quieted, and in the case
of your configure script it should just be ignored (although what you've done
works too).

Comment 2 Lucian Langa 2008-06-23 08:12:04 UTC
> Could that bit perhaps be removed?  Maybe take the "I think
> it's already somewhat usable" bit out as well, since "yum info" probably doesn't
> think anything about the packages usability.

Corrected description.


> I don't see anything else in the distro that uses /var/ax25.  Where is this
> standard for ax25 applications?  Does this standard somehow trump the FHS? 
> Seems to me that /var/lib/ax25 is more appropriate.

I've changed to localstate dir to /var/lib/ax25.

New versions:

http://lucilanga.fedorapeople.org/node.spec
http://lucilanga.fedorapeople.org/node-0.3.2-3.fc9.src.rpm

Comment 3 Jason Tibbitts 2008-07-04 20:35:18 UTC
OK, finally getting back to this.

The license should be GPLv2+ unless you can point out some place where it is
limited to GPLv2 only.

You must include the COPYING file as documentation.

This package does not use the proper set of compiler flags.  You must pass
$RPM_OPT_FLAGS or %{optflags} to the compiler.  You may need to patch parts of
the package's build system in order to get this to work.

* source files match upstream:
   41879021150084e2eb923f414dbd1082af1d46e10313a52137c9ce1e7eff64d5  
   node-0.3.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
X license text included upstream but not included in the package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   config(node) = 0.3.2-3.fc10
   node = 0.3.2-3.fc10
  =
   /bin/sh
   /sbin/service
   config(node) = 0.3.2-3.fc10
   libax25.so.0()(64bit)
   libax25io.so.0()(64bit)
   libz.so.1()(64bit)
   xinetd

* %check is not present; no test suite upstream.  I have no idea how to go about 
   testing this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (xinetd restart).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 4 Lucian Langa 2008-07-05 08:47:38 UTC
(In reply to comment #3)

> X license field does not match the actual license.
modified license

> X license text included upstream but not included in the package.
added COPYING

> X compiler flags are not correct.
added fedora's compiler flags

.. bumped version new files are:

http://lucilanga.fedorapeople.org/node.spec
http://lucilanga.fedorapeople.org/node-0.3.2-4.fc9.src.rpm

Comment 5 Jason Tibbitts 2008-08-09 17:31:38 UTC
I'm back from vacation; sorry for not being able to take care of this sooner.

Everything looks good to me now; APPROVED

Comment 6 Lucian Langa 2008-08-09 17:54:26 UTC
New Package CVS Request
=======================
Package Name: node
Short Description: Simple node front end, modelled after the node shells of TheNet and G8BPQ nodes
Owners: lucilanga
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-08-10 01:32:57 UTC
cvs done.

Comment 8 Fedora Update System 2008-08-10 07:45:58 UTC
node-0.3.2-4.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-08-10 07:46:41 UTC
node-0.3.2-4.fc9 has been submitted as an update for Fedora 9

Comment 10 Fedora Update System 2008-09-11 16:58:30 UTC
node-0.3.2-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-09-11 17:08:18 UTC
node-0.3.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.